Subject: Re: Execution of s2ibis2

From: Syed Huq <[email-masked]>
Date: Tue, 27 Nov 2001 12:07:23 -0800 (PST)

Ramesh,

I have not used the PC version but let me ask you a few questions:

1) Are you able to run HSPICE from a command line ?
2) Can you try:

    % hspice putout.spi
    
    and see if you get an error.
    
    If you get an error, open the output file and see what it is all 
    about.
    
s2ibis2 works on all versions of HSPICE so that should not be a problem
My 'guess' at this point is you call to HSPICE from s2ibis2 may not be
working properly..

Since s2ibis2 creates an .spi file, that is good but as it tries to run HSPICE
on this .spi file it crashes(that is the reason to do test#1 and #2 above)

Let me know..

Syed

> Date: Fri, 23 Nov 2001 12:35:08 +0530
> From: Ramesh Karmungi <[email-masked]>
> Subject: Execution of s2ibis2
> To: [email-masked]
> MIME-version: 1.0
> X-Accept-Language: en
> 
> Hello,
> 
> I am new user of  IBIS tools. I have downloaded Spitran to develop ibis
> models. Spitran gives me .s2i file. This was used as input file to run
> s2ibis2.exe.  However, am unable to run s2ibis2. Following lines will
> appear on screen and stops execution of s2ibis2..
> 
> s2ibis2: Analyzing component MCM Driver .
> s2ibis2: Starting HSpice job with input putout.spi.
> failure!!!!!
> 
> I have noticed it creates a .spi file in the process.
> 
> I work on PC with windows 2000 or windows NT system. I have Avanti
> HSPICE 99.4.
> Could anyone help me out to sort out the problem.
> 
> Thanks and Regards with anticipation
> 
> Ramesh K